Get Receipt
curl --request GET \
--url https://api.decodahealth.com/billing/payment/{payment_id}/receipt \
--header 'API-KEY: <api-key>' \
--header 'TENANT: <tenant>'import requests
url = "https://api.decodahealth.com/billing/payment/{payment_id}/receipt"
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>'}};
fetch('https://api.decodahealth.com/billing/payment/{payment_id}/receipt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"patient": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"amount": 123,
"charges": [
{
"id": "<string>",
"total": 123,
"totalOutstanding": 123,
"status": "OUTSTANDING",
"discountAmount": 123,
"discountPercentage": 123,
"createdDate": "2023-11-07T05:31:56Z",
"description": "<string>",
"externalId": "<string>",
"externalCreatedDate": "2023-11-07T05:31:56Z",
"ruleSetId": "<string>",
"tips": [
{
"chargeId": "<string>",
"amount": 123,
"providerId": "<string>",
"id": "<string>",
"provider": {
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"createdDate": "2023-11-07T05:31:56Z"
}
}
],
"taxTotal": 123
}
],
"refunds": [
{
"id": "<string>",
"paymentId": "<string>",
"amount": 123,
"reason": "DUPLICATE",
"createdDate": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"rainforestRefundId": "<string>",
"fee": 0
}
],
"createdDate": "2023-11-07T05:31:56Z",
"paymentMedium": "<string>",
"feeToPatient": 123,
"paymentMethod": {
"brand": "<string>",
"last4": "<string>",
"expMonth": 123,
"expYear": 123,
"accountHolderType": "<string>",
"accountNumberLast4": 123,
"bankName": "<string>",
"routingNumber": 123,
"type": "CARD"
},
"hasItems": false,
"hasPackages": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Payments
Get Receipt
Get a public, unauthenticated receipt for a payment, including charges, items, and tips.
The receipt is reachable via a public link, so patient identity is only included for authenticated staff; anonymous link-holders get a receipt with no patient fields.
GET
/
billing
/
payment
/
{payment_id}
/
receipt
Get Receipt
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes

